language: php

php:
  - 5.3

before_script:
  - cd ..
  - git clone git://github.com/zendframework/ZendSkeletonApplication.git
  - cd ZendSkeletonApplication
  - rm .gitmodules
  - git rm --cached vendor/ZF2
  - cp ../DOMPDFModule/.travis/composer.json ./
  - curl -s http://getcomposer.org/installer | php
  - php composer.phar install
  - rm -rf vendor/dino/dompdf-module
  - cp -r ../DOMPDFModule vendor/dino/dompdf-module

script:
  - cd vendor/dino/dompdf-module/tests
  - phpunit
